Who is short, who is buying, and the read-across.
Insider trades
GET /v1/insider-transactions, 1 credit per company
Get insider transactions across multiple tickers with filtering options.
tickers (string): Comma-separated ticker_exchange values (e.g., 'AAPL@US,MSFT@US')exchange (string): Exchange filter (e.g., 'US')index (string): Index filter (e.g., 'SP500')start_date (string): Start date (YYYY-MM-DD)end_date (string): End date (YYYY-MM-DD)transaction_types (string): Comma-separated transaction types (e.g., 'Buy,Sell')transaction_groups (string): Comma-separated coarse groups (Buy,Sell,Award,Exercise,Tax,Other)limit (integer): Maximum number of results
curl -H "Authorization: Bearer fk_live_YOUR_KEY" "https://api.fundamentaly.io/v1/insider-transactions?tickers=NVDA@US,AAPL@US&transaction_groups=Buy,Sell&start_date=2026-01-01&limit=5"
Short interest
GET /v1/short-interest, 1 credit per company
Latest short interest reading per ticker, for US and UK equities.
ticker (string): One or more tickers, comma-separated (e.g., 'AAPL@US,GME@US')index (string): Index name (e.g., 'SP500'). Alternative to ticker.
curl -H "Authorization: Bearer fk_live_YOUR_KEY" "https://api.fundamentaly.io/v1/short-interest?ticker=GME@US,BARC@LN"
Shorts into earnings
GET /v1/short-interest/earnings-comparison, 1 credit per call
Compare the latest short interest reading with the reading at the equivalent point (same number of days) before the previous earnings date.
ticker (string, required): One ticker (US only, e.g. 'AAPL@US')
curl -H "Authorization: Bearer fk_live_YOUR_KEY" "https://api.fundamentaly.io/v1/short-interest/earnings-comparison?ticker=AAPL@US"
Short interest history
GET /v1/short-interest/history, 1 credit per call
Short interest as a time series for one ticker, oldest first.
ticker (string, required): One ticker (e.g. 'GME@US' or 'BARC@LN')start_date (string): Earliest date to return (YYYY-MM-DD)end_date (string): Latest date to return (YYYY-MM-DD)limit (integer): Keep only the N most recent points
curl -H "Authorization: Bearer fk_live_YOUR_KEY" "https://api.fundamentaly.io/v1/short-interest/history?ticker=WMT@US&limit=10"